php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #4401 Can?t use German umlauts with Oracle 8.1.5.0.2
Submitted: 2000-05-11 12:23 UTC Modified: 2006-07-17 09:01 UTC
From: sels at diewerber dot de Assigned:
Status: Not a bug Package: OCI8 related
PHP Version: 4.0 Release Candidate 2 OS: Red Hat Linux 6.1
Private report: No CVE-ID: None
 [2000-05-11 12:23 UTC] sels at diewerber dot de
- we have problems running php4 RC2 and Oracle 8.1.5.0.2 on an Red Hat
6.1.
Although we set NLS_LANG via httpd.conf (SetEnv NLS_LANG
american_america.WE8ISO8859P1)
we can?t insert or select german umlauts from the database.

SQLPLUS works fine, so it is definitly a php4 problem.

config line :
./configure  --prefix=/usr/local --enable-safe-mode --enable-track-vars --enable-xml --with-zlib-dir=/usr/lib --enable-sysvsem --e
nable-sysvshm --enable-trans-sid --with-tiff-dir=/usr/local --with-jpeg-dir=/usr/local --with-pdflib=/usr/local/src/pdflib-3.0 --wit
h-mysql=/usr/local/ --with-oracle --with-oci8 --with-ldap --with-imap --with-ftp --with-gd --enable-safe-mode --enable-track-vars --
with-apache=../apache_1.3.12 --with-ttf --with-config-file-path=/usr/local/apache/conf --disable-debug

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-05-13 08:02 UTC] thies at cvs dot php dot net
all oracle related environment vars should be set *before* the apache process is started and *not* vis SetEnv in httpd.conf of PutEnv() in the script!

 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Thu Jan 23 04:01:24 2020 UTC